Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision e07f9f49ec14fea1d95a81ad9c9d22f9326ed927)
+++ sansview/perspectives/fitting/fitpage.py	(revision 1a94c368c91eb002ecfa6293953b1bab337b0db4)
@@ -464,4 +464,5 @@
         ix += 1 
         values = wx.StaticText(self, -1, 'Sigma (STD)')
+        values.SetToolTipString("Polydispersity multiplied by the value of the original parameter.")
         self.sizer4_4.Add(values,( iy, ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         ix +=2 
@@ -486,7 +487,9 @@
         ix += 1 
         npts = wx.StaticText(self, -1, 'Npts')
+        npts.SetToolTipString("Number of points for weighting.")
         self.sizer4_4.Add(npts,( iy, ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         ix += 1 
         nsigmas = wx.StaticText(self, -1, 'Nsigmas')
+        nsigmas.SetToolTipString("Number of sigmas between which the range of the distribution function will be used for weighting. The value '3' covers 99.5% for Gaussian distribution function.")
         self.sizer4_4.Add(nsigmas,( iy, ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         
@@ -519,5 +522,5 @@
                         ctl1 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH,20),
                                             style=wx.TE_PROCESS_ENTER)
-                        ctl1.SetToolTipString("Polydispersity multiflied by the value of '%s'."%item)
+                        ctl1.SetToolTipString("Polydispersity multiplied by the value of '%s'."%item)
                         ctl1.SetValue(str (format_number(value)))
                         self.sizer4_4.Add(ctl1, (iy,ix),(1,1),wx.EXPAND)
@@ -563,5 +566,5 @@
                             Tctl = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20),
                                                 style=wx.TE_PROCESS_ENTER)
-                            Tctl.SetToolTipString("Number of points for weighting.")
+                            
                             Tctl.SetValue(str (format_number(value)))
                             self.sizer4_4.Add(Tctl, (iy,ix),(1,1),
@@ -574,5 +577,5 @@
                             Tct2 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20),
                                                 style=wx.TE_PROCESS_ENTER)
-                            Tct2.SetToolTipString("Number of sigmas between which the range of the distribution function will be used for weighting. The value '3' covers 99.5% for Gaussian distribution function.")
+                            
                             Tct2.SetValue(str (format_number(value)))
                             self.sizer4_4.Add(Tct2, (iy,ix),(1,1),
@@ -617,5 +620,5 @@
                         ctl1 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH,20),
                                             style=wx.TE_PROCESS_ENTER)
-                        ctl1.SetToolTipString("Polydispersity multiflied by the value of '%s'."%item)
+                        ctl1.SetToolTipString("Polydispersity multiplied by the value of '%s'."%item)
                         ctl1.SetValue(str (format_number(value)))
                         if self.data.__class__.__name__ =="Data2D":
@@ -671,5 +674,5 @@
                             Tctl = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20),
                                                 style=wx.TE_PROCESS_ENTER)
-                            Tctl.SetToolTipString("Number of points for weighting.")
+                            
                             Tctl.SetValue(str (format_number(value)))
                             if self.data.__class__.__name__ =="Data2D":
@@ -688,5 +691,5 @@
                             Tct2 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20),
                                                 style=wx.TE_PROCESS_ENTER)
-                            Tct2.SetToolTipString("Number of sigmas between which the range of the distribution function will be used for weighting. The value '3' covers 99.5% for Gaussian distribution function.")
+                            
                             Tct2.SetValue(str (format_number(value)))
                             if self.data.__class__.__name__ =="Data2D":
@@ -2064,5 +2067,5 @@
                 ctl1 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH,20),
                                     style=wx.TE_PROCESS_ENTER)
-                
+                ctl1.SetToolTipString("Hit 'Enter' after typing.")
                 ctl1.SetValue(format_number(value))
                 sizer.Add(ctl1, (iy,ix),(1,1), wx.EXPAND)
@@ -2156,4 +2159,5 @@
                     ctl1 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH,20),
                                         style=wx.TE_PROCESS_ENTER)
+                    ctl1.SetToolTipString("Hit 'Enter' after typing.")
                     ctl1.SetValue(format_number(value))
                     if self.data.__class__.__name__ =="Data2D":
Index: theoryview/perspectives/theory/model_panel.py
===================================================================
--- theoryview/perspectives/theory/model_panel.py	(revision e07f9f49ec14fea1d95a81ad9c9d22f9326ed927)
+++ theoryview/perspectives/theory/model_panel.py	(revision 1a94c368c91eb002ecfa6293953b1bab337b0db4)
@@ -160,11 +160,14 @@
         ix += 1 
         values = wx.StaticText(self, -1, 'Sigma (STD)')
+        values.SetToolTipString("Polydispersity multiplied by the value of the original parameter.")
         self.sizer4_4.Add(values,( iy, ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
        
         ix += 1 
         npts = wx.StaticText(self, -1, 'Npts')
+        npts.SetToolTipString("Number of points for weighting.")
         self.sizer4_4.Add(npts,( iy, ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         ix += 1 
         nsigmas = wx.StaticText(self, -1, 'Nsigmas')
+        nsigmas.SetToolTipString("Number of sigmas between which the range of the distribution function will be used for weighting. The value '3' covers 99.5% for Gaussian distribution function.")
         self.sizer4_4.Add(nsigmas,( iy, ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         
@@ -186,5 +189,5 @@
                         ctl1 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH,20),
                                             style=wx.TE_PROCESS_ENTER)
-                        ctl1.SetToolTipString("Polydispersity multiflied by the value of '%s'."%item)
+                        ctl1.SetToolTipString("Polydispersity multiplied by the value of the '%s'."%item)
                         ctl1.SetValue(str (format_number(value)))
                         self.sizer4_4.Add(ctl1, (iy,ix),(1,1), wx.EXPAND)
@@ -196,5 +199,5 @@
                             Tctl1 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20),
                                                 style=wx.TE_PROCESS_ENTER)
-                            Tctl1.SetToolTipString("Number of points for weighting.")
+                            
                             Tctl1.SetValue(str (format_number(value)))
                             self.sizer4_4.Add(Tctl1, (iy,ix),(1,1),
@@ -207,5 +210,5 @@
                             Tctl2 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20),
                                                 style=wx.TE_PROCESS_ENTER)
-                            Tctl2.SetToolTipString("Number of sigmas between which the range of the distribution function will be used for weighting. The value '3' covers 99.5% for Gaussian distribution function.")
+                            
                             Tctl2.SetValue(str (format_number(value)))
                             self.sizer4_4.Add(Tctl2, (iy,ix),(1,1),
@@ -237,5 +240,5 @@
                         ctl1 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH,20),
                                             style=wx.TE_PROCESS_ENTER)
-                        ctl1.SetToolTipString("Polydispersity multiflied by the value of '%s'."%item)
+                        ctl1.SetToolTipString("Polydispersity multiplied by the value of '%s'."%item)
                         ctl1.SetValue(str (format_number(value)))
                         if not self.enable2D:
@@ -255,5 +258,5 @@
                             Tctl1 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20),
                                                 style=wx.TE_PROCESS_ENTER)
-                            Tctl1.SetToolTipString("Number of points for weighting.")
+
                             Tctl1.SetValue(str (format_number(value)))
                             if not self.enable2D:
@@ -274,5 +277,5 @@
                             Tctl2 = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20),
                                                 style=wx.TE_PROCESS_ENTER)
-                            Tctl2.SetToolTipString("Number of sigmas between which the range of the distribution function will be used for weighting. The value '3' covers 99.5% for Gaussian distribution function.")
+                            
                             Tctl2.SetValue(str (format_number(value)))
                             if not self.enable2D:
